0

I've installed nvidia-docker2 on my Ubuntu 14.04 server.

  • nvidia-smi 375.66
  • CUDA- 8.0
$ docker --version 
Docker version 18.03.1-ce, build 9ee9f40

I'm a newbie on docker and nvidia-docker, but I need to use them to participate in a competition.

Thus, I followed this 'Quick start' guide.

However,

 $ docker run --runtime=nvidia --rm nvidia/cuda nvidia-smi

shows

docker: Error response from daemon: OCI runtime create failed:
container_linux.go:348: starting container process caused 
"process_linux.go:402: container init caused 
"process_linux.go:385: running prestart hook 1 caused
"error running hook: exit status 1, stdout: 
stderr: exec command: [/usr/bin/nvidia-container-cli --load-kmods configure --ldconfig=@/sbin/ldconfig.real --device=all --compute --utility --require=cuda>=9.0 --pid=7324 /var/lib/docker/aufs/mnt/ab0e6a8fbf113c5386cfaaeebdc7ef0dc1b968aea26bb588e7d7ee51d5abbdc3]
nnvidia-container-cli: requirement error: unsatisfied condition: cuda >= 9.0\\\\n\\\"\"": unknown.

This error also occurred when I ran the submission code provided from the competition.

There is cuda >= 9.0 needed but as far as I know, the prerequisites for nvidia-docker2 do not include cuda >= 9.0. How can I solve this problem?

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.